## superlu 5.2.1%2Bdfsg1

=== debian/control ===
Source: superlu
Priority: optional
Section: devel
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Drew Parsons <dparsons@debian.org>
Build-Depends: debhelper (>= 12),
 gcc (>= 3.0),
 gfortran,
 cmake,
 libblas-dev | libopenblas-dev | libatlas-base-dev | libblas.so
Standards-Version: 4.3.0
Homepage: http://crd-legacy.lbl.gov/~xiaoye/SuperLU/
Vcs-Git: https://salsa.debian.org/science-team/superlu.git
Vcs-Browser: https://salsa.debian.org/science-team/superlu

Package: libsuperlu5
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Direct solution of large, sparse systems of linear equations
 SuperLU is a general purpose library for the direct solution of
 large, sparse, nonsymmetric systems of linear equations on high
 performance machines.
 .
 The library is written in C and is callable from either C or Fortran.
 The library routines will perform an LU decomposition with partial
 pivoting and triangular system solves through forward and back
 substitution. The LU factorization routines can handle non-square
 matrices but the triangular solves are performed only for square
 matrices. The matrix columns may be preordered (before factorization)
 either through library or user supplied routines. This preordering
 for sparsity is completely separate from the factorization. Working
 precision iterative refinement subroutines are provided for improved
 backward stability. Routines are also provided to equilibrate the
 system, estimate the condition number, calculate the relative
 backward error, and estimate error bounds for the refined solutions.
 .
 This package contains the SuperLU shared library.

Package: libsuperlu-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libsuperlu5 (= ${binary:Version}),
    libopenblas-dev | libatlas-base-dev | libblas-dev | libblas.so,
    ${misc:Depends}
Suggests: libsuperlu-doc
Conflicts: libsuperlu4-dev, libsuperlu3-dev
Description: Direct solution of large, sparse systems of linear equations
 Development files for SuperLU.
 .
 SuperLU is a general purpose library for the direct solution of
 large, sparse, nonsymmetric systems of linear equations on high
 performance machines.
 .
 The library is written in C and is callable from either C or Fortran.
 The library routines will perform an LU decomposition with partial
 pivoting and triangular system solves through forward and back
 substitution. The LU factorization routines can handle non-square
 matrices but the triangular solves are performed only for square
 matrices. The matrix columns may be preordered (before factorization)
 either through library or user supplied routines. This preordering
 for sparsity is completely separate from the factorization. Working
 precision iterative refinement subroutines are provided for improved
 backward stability. Routines are also provided to equilibrate the
 system, estimate the condition number, calculate the relative
 backward error, and estimate error bounds for the refined solutions.
 .
 This package contains the header and development files to build
 against SuperLU.

Package: libsuperlu-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Recommends: libsuperlu-dev
Description: Documentation for SuperLU
 This package contains the user guide and the reference manual of SuperLU.
 It also includes some example programs.
