=== debian/changelog ===
superlu (5.2.1+dfsg1-4) unstable; urgency=medium

  * libsuperlu-dev depends on optimised BLAS from OpenBLAS or ATLAS
    where available.
  * add debian/tests (autopkgtest)
  * Standards-Version: 4.3.0
  * debhelper compatibility level 12
    - update doc-base entry: docs from doc package are now installed
      in the dev package dir /usr/share/doc/libsuperlu-dev
  * debian/rules: drop unnecessary --parallel flag for dh
  * debian/control: update Vcs tags to salsa.debian.org
  * mark libsuperlu-doc as Multi-Arch: foreign

 -- Drew Parsons <dparsons@debian.org>  Wed, 23 Jan 2019 18:10:37 +0100

superlu (5.2.1+dfsg1-3) unstable; urgency=medium

  * Team upload.
  * Add spacing to package descriptions. Closes: #266560.
  * Standards-Version: 4.1.1
  * debhelper compatibility level 10

 -- Drew Parsons <dparsons@debian.org>  Mon, 06 Nov 2017 16:06:59 +0800

superlu (5.2.1+dfsg1-2) unstable; urgency=medium

  * Thanks Christophe Prud'homme for your contributions to the earlier
    versions of superlu.  Updating the Uploaders list now.
    Closes: #835010.
  * Upload superlu 5 to unstable. Closes: #823213.

 -- Drew Parsons <dparsons@debian.org>  Sat, 03 Sep 2016 10:10:01 +0800

superlu (5.2.1+dfsg1-1~exp1) experimental; urgency=medium
  
  * Team upload.

  [ Nico Schlömer ]
  * Update to SuperLU 5.2.1.
    - new ABI (soname 5)
  * Use CMake build.
  * Migrate from libsuperlu-dbg to ddebs, bump debhelper build-dependency

  [ Drew Parsons ]
  * debian/patches/gnuinstalldirs.patch now applied upstream

 -- Drew Parsons <dparsons@debian.org>  Sat, 28 May 2016 12:12:29 +0800
