=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg\d*$//,repacksuffix=+dfsg1 \
http://crd-legacy.lbl.gov/~xiaoye/SuperLU/superlu_(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
