## superlu 5.2.2%2Bdfsg1

=== debian/watch ===
version=4
opts="dversionmangle=s/\+dfsg\d*$//,repacksuffix=+dfsg1, \
 filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%superlu-$1.tar.gz%" \
 https://github.com/xiaoyeli/superlu/tags \
 (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
