## superlu 5.2.2+dfsg1

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,7 +11,7 @@
 project(SuperLU NONE)
 set(VERSION_MAJOR "5")
 set(VERSION_MINOR "2")
-set(VERSION_BugFix "1")
+set(VERSION_BugFix "2")
 set(PROJECT_VERSION ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_BugFix})
 
 ######################################################################
@@ -20,6 +20,8 @@
 MESSAGE("\nProcess XSDK defaults ...")
 # SET(USE_XSDK_DEFAULTS_DEFAULT TRUE) # Set to false if desired
 INCLUDE("cmake/XSDKDefaults.cmake")
+INCLUDE(CTest)
+
 ######################################################################
 
 ######################################################################
@@ -30,6 +32,23 @@
 set(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)    ## ????
 set(CMAKE_INSTALL_NAME_DIR "${CMAKE_INSTALL_PREFIX}/lib")
 
+#---- For shared library
+
+# use, i.e. don't skip the full RPATH for the build tree
+SET(CMAKE_SKIP_BUILD_RPATH  FALSE)
+
+# when building, don't use the install RPATH already
+# (but later on when installing)
+SET(CMAKE_BUILD_WITH_INSTALL_RPATH FALSE) 
+
+# the RPATH to be used when installing
+set(CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_PREFIX}/lib")
+
+# add the automatically determined parts of the RPATH
+# which point to directories outside the build tree to the install RPATH
+SET(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)
+#----
+
 if (BUILD_SHARED_LIBS)
   message("-- SuperLU will be built as a shared library.")
   set(PROJECT_NAME_LIB_EXPORT libsuperlu.so)
@@ -39,8 +58,10 @@
 endif()
 
 enable_language(C)
-enable_language (Fortran)
-set(NOFORTRAN FALSE)
+if (XSDK_ENABLE_Fortran)
+  enable_language (Fortran)
+  set(NOFORTRAN FALSE)
+endif()
 set(SUPERLU_VERSION "${PROJECT_VERSION}")
 set(SUPERLU_REV "${PROJECT_REV}")
 
@@ -51,8 +72,12 @@
   set(enable_blaslib_DEFAULT ON)
 endif()
 
+if (NOT CMAKE_INSTALL_PREFIX)
+  set(CMAKE_INSTALL_PREFIX /usr/local)
+endif()
+
 # setup options
-option(enable_blaslib   "Build the CBLAS library" ${enable_blaslib_DEFAULT})
+option(enable_internal_blaslib  "Build the CBLAS library" ${enable_blaslib_DEFAULT})
 option(enable_matlabmex "Build the Matlab mex library" OFF)
 option(enable_tests     "Build tests" ON)
 option(enable_doc       "Build doxygen documentation" OFF)
@@ -65,7 +90,7 @@
 # setup required compiler defines and options.
 ## add_definitions(-DPRNTlevel=0 -DAdd_)
 ## get_directory_property( DirDefs COMPILE_DEFINITIONS )
-set(CMAKE_C_FLAGS "-DPRNTlevel=0 -DAdd_ ${CMAKE_C_FLAGS}")
+set(CMAKE_C_FLAGS "-DPRNTlevel=0 -DDEBUGlevel=0 ${CMAKE_C_FLAGS}")
 set(CMAKE_C_FLAGS_RELEASE "-O3" CACHE STRING "")
 
 ######################################################################
@@ -75,7 +100,7 @@
 ######################################################################
 #
 #--------------------- BLAS ---------------------
-if(NOT enable_blaslib)
+if(NOT enable_internal_blaslib)
   if (TPL_BLAS_LIBRARIES)
     set(BLAS_FOUND TRUE)
   else()
@@ -99,20 +124,11 @@
   add_subdirectory(CBLAS)
   set(BLAS_LIB blas)
   if (BUILD_SHARED_LIBS)  # export to be referenced by downstream makefile
-      set(BLAS_LIB_EXPORT ${CMAKE_SOURCE_DIR}/build/CBLAS/libblas.so)
+      set(BLAS_LIB_EXPORT ${CMAKE_INSTALL_PREFIX}/CBLAS/libblas.so)
   else()
-      set(BLAS_LIB_EXPORT ${CMAKE_SOURCE_DIR}/build/CBLAS/libblas.a)
+      set(BLAS_LIB_EXPORT ${CMAKE_INSTALL_PREFIX}/CBLAS/libblas.a)
   endif()
 endif()
-
-
-######################################################################
-#
-# Include directories
-#
-######################################################################
-
-include_directories(${CMAKE_SOURCE_DIR}/SRC)
 
 ######################################################################
 #
@@ -136,8 +152,11 @@
   #implement doxygen
 endif()
 
-
 # file(WRITE "make.defs" "# can be exposed to users"
 #  ${CMAKE_C_COMPILER}  )
-configure_file(${CMAKE_SOURCE_DIR}/make.inc.in ${CMAKE_SOURCE_DIR}/make.inc)
+# configure_file(${CMAKE_SOURCE_DIR}/make.inc.in ${CMAKE_SOURCE_DIR}/make.inc)
+configure_file(${SuperLU_SOURCE_DIR}/make.inc.in ${SuperLU_SOURCE_DIR}/make.inc)
  
+configure_file(${CMAKE_CURRENT_SOURCE_DIR}/superlu.pc.in ${CMAKE_CURRENT_BINARY_DIR}/superlu.pc @ONLY)
+install(FILES ${CMAKE_CURRENT_BINARY_DIR}/superlu.pc
+	DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)
