=== SRC/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,4 @@
-
-set(headers 
+set(headers
     supermatrix.h
     slu_Cnames.h
     slu_dcomplex.h
@@ -25,6 +24,8 @@
   mc64ad.c
   qselect.c
   input_error.c
+  dmach.c
+  smach.c
 )
 set_source_files_properties(superlu_timer.c PROPERTIES COMPILE_FLAGS -O0)
 
@@ -56,6 +57,7 @@
     sreadhb.c
     sreadrb.c
     sreadtriple.c
+    sreadMM.c
     scolumn_dfs.c
     scolumn_bmod.c
     spivotL.c
@@ -105,6 +107,7 @@
     dreadhb.c
     dreadrb.c
     dreadtriple.c
+    dreadMM.c
     dcolumn_dfs.c
     dcolumn_bmod.c
     dpivotL.c
@@ -122,6 +125,7 @@
     ilu_dcopy_to_ucol.c
     ilu_dpivotL.c
     ddiagonal.c
+    dGetDiagU.c
   )
   set_source_files_properties(dmach.c PROPERTIES COMPILE_FLAGS -O0)
 endif()
@@ -156,6 +160,7 @@
     creadhb.c
     creadrb.c
     creadtriple.c
+    creadMM.c
     ccolumn_dfs.c
     ccolumn_bmod.c
     cpivotL.c
@@ -206,6 +211,7 @@
     zreadhb.c
     zreadrb.c
     zreadtriple.c
+    zreadMM.c
     zcolumn_dfs.c
     zcolumn_bmod.c
     zpivotL.c
@@ -227,20 +233,59 @@
 endif()
 
 add_library(superlu ${sources} ${HEADERS})
-
-target_link_libraries(superlu ${BLAS_LIB} m)
+target_link_libraries(superlu PUBLIC ${BLAS_LIB})
+if (NOT WIN32)
+  target_link_libraries(superlu PUBLIC m)
+endif ()
+target_include_directories(superlu PUBLIC
+  $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>
+  $<INSTALL_INTERFACE:include>
+  )
 set_target_properties(superlu PROPERTIES
   VERSION ${PROJECT_VERSION} SOVERSION ${VERSION_MAJOR}
   )
 
+# Define GNU standard installation directories
 include(GNUInstallDirs)
 
 install(TARGETS superlu
-#  DESTINATION ${CMAKE_INSTALL_PREFIX}/lib
-  DESTINATION ${CMAKE_INSTALL_LIBDIR}
+  EXPORT superluTargets
+  LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
+  ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
+  INCLUDES DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}"
 )
 
 install(FILES ${headers}
-#  DESTINATION ${CMAKE_INSTALL_PREFIX}/include
   DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}
 )
+
+include(CMakePackageConfigHelpers)
+write_basic_package_version_file(
+  superluConfigVersion.cmake
+  VERSION ${PACKAGE_VERSION}
+  COMPATIBILITY SameMajorVersion
+  )
+
+install(EXPORT superluTargets
+  FILE superluTargets.cmake
+  NAMESPACE superlu::
+  DESTINATION "${CMAKE_INSTALL_LIBDIR}/cmake/superlu"
+  )
+
+configure_package_config_file(
+  superluConfig.cmake.in superluConfig.cmake
+  INSTALL_DESTINATION "${CMAKE_CURRENT_BINARY_DIR}/superluConfig.cmake"
+  )
+install(
+  FILES
+      "${CMAKE_CURRENT_BINARY_DIR}/superluConfig.cmake"
+      "${CMAKE_CURRENT_BINARY_DIR}/superluConfigVersion.cmake"
+  DESTINATION "${CMAKE_INSTALL_LIBDIR}/cmake/superlu"
+  )
+
+export(EXPORT superluTargets
+  FILE "${CMAKE_CURRENT_BINARY_DIR}/superluTargets.cmake"
+  NAMESPACE superlu::
+  )
+
+export(PACKAGE superlu)
