=== TESTING/MATGEN/CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,24 @@
 set(sources "")
-
-if(enable_single)
-  list(APPEND sources
+set(SCATGEN
     slatm1.c
     slaran.c
     slarnd.c
     slaruv.c
     slabad.c
     slarnv.c
+)
+set(DZATGEN
+    dlatm1.c
+    dlaran.c
+    dlarnd.c
+    dlaruv.c
+    dlabad.c
+    dlarnv.c
+)
+
+if(enable_single)
+  list(APPEND sources ${SCATGEN})
+  list(APPEND sources
     slatb4.c
     slaset.c
     slartg.c
@@ -27,13 +38,8 @@
 endif()
 
 if(enable_double)
+  list(APPEND sources ${DZATGEN})
   list(APPEND sources
-    dlatm1.c
-    dlaran.c
-    dlarnd.c
-    dlaruv.c
-    dlabad.c
-    dlarnv.c
     dlatb4.c
     dlaset.c
     dlartg.c
@@ -53,6 +59,7 @@
 endif()
 
 if(enable_complex)
+  list(APPEND sources ${SCATGEN})
   list(APPEND sources
     clatb4.c
     claset.c
@@ -70,11 +77,16 @@
     clatm3.c
     claghe.c
     clarnd.c
-    cdotc.c
-  )
+#    cdotc.c
+    r_lg10.c
+    r_sign.c
+    pow_dd.c
+    pow_ri.c
+)
 endif()
 
 if(enable_complex16)
+  list(APPEND sources ${DZATGEN})
   list(APPEND sources
     zlatb4.c
     zlaset.c
@@ -92,8 +104,13 @@
     zlatm3.c
     zlaghe.c
     zlarnd.c
-    zdotc.c
+#    zdotc.c
+    d_lg10.c
+    d_sign.c
+    pow_dd.c
+    pow_di.c
   )
 endif()
 
 add_library(matgen ${sources})
+target_link_libraries(matgen superlu)
