=== debian/changelog ===
superlu (5.2.2+dfsg1-2) unstable; urgency=medium

  * upload SuperLU 5.2.2 to unstable.

 -- Drew Parsons <dparsons@debian.org>  Fri, 23 Oct 2020 17:46:16 +0800

superlu (5.2.2+dfsg1-1exp1) experimental; urgency=medium

  * update debian/watch and Homepage to
    https://github.com/xiaoyeli/superlu
  * New upstream release.
  * Standards-Version: 4.5.0
  * debhelper compatibility level 13.
    Build-Depends: debhelper-compat (= 13)
  * update internal BLAS configuration to enable_internal_blaslib=OFF
    with -DTPL_BLAS_LIBRARIES=blas (common BLAS library, specific
    fast implementation controlled by blas alternatives)
  * libsuperlu-dev provides cmake and pkgconfig config files
  * skip RPATH: don't embed RUNPATH into shared library

 -- Drew Parsons <dparsons@debian.org>  Tue, 20 Oct 2020 18:30:14 +0800
