=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Section: devel
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Drew Parsons <dparsons@debian.org>
-Build-Depends: debhelper (>= 12),
+Build-Depends: debhelper-compat (= 13),
  gcc (>= 3.0),
  gfortran,
  cmake,
  libblas-dev | libopenblas-dev | libatlas-base-dev | libblas.so
-Standards-Version: 4.3.0
-Homepage: http://crd-legacy.lbl.gov/~xiaoye/SuperLU/
+Standards-Version: 4.5.0
+Homepage: https://github.com/xiaoyeli/superlu
 Vcs-Git: https://salsa.debian.org/science-team/superlu.git
 Vcs-Browser: https://salsa.debian.org/science-team/superlu
